void drawAs2DSpur(){
  pushMatrix();
  translate((float)x,(float)y); // allow for mouse adjustment
  rotateX(radians(90));
  rotateZ(radians(map(mouseX, 0, width, -40, 400))); // allow mouse control of roll
  translate(0,0,mouseY); // allow mouse control of going up and down the length of it
  shape(theVisualization,0,0);
  popMatrix();
  
  // draw labels
  for(int i = 0; i < rangeYears; i++){
    //println(i + earliestYear);
    smooth();
    fill(textColor);
    text(i+earliestYear, width / 5, -1 * i * distBetweenSlices * 10 + 1790 - mouseY);
    text(i+earliestYear, -width / 5, -1 * i * distBetweenSlices * 10 + 1790 - mouseY);
  }
}


void drawAsPointCloud(){
  int i = 0;
  for (PVector pos : particles){
    //println(pos);
    pushMatrix();
      stroke(map(classes[i],0,numClasses,0,360),100,100);
      translate(pos.x,pos.y,pos.z);
      sphere(log(errors[i] + 2));
      
      //println(dist(screenX(pos.x,pos.y,pos.z), screenY(pos.x,pos.y,pos.z), mouseX, mouseY));
      
      if (dist(screenX(0,0,0), screenY(0,0,0), mouseX, mouseY) < 5){
        //textSize(14);
        //text(titles[i], 0,0,0);
        println(titles[i]);
      }
    popMatrix();
    i += 1;
  }
}
