class Topic {
  int topicID;
  ArrayList<Book> topicBooks = new ArrayList<Book>();
  color topicColor;
  
  Topic(int tID){
    topicID = tID;
    topicColor = color((map(tID, 0, numClasses, 0, 360) + hueOffset) % 360, 60, 100);
    //print(topicColor);
  }
  
  Topic(ArrayList<Book> books, color tC){
    for(Book book : books){
      topicBooks.add(book);
    }
    topicColor = tC;
  }
  
  void addBook(Book book){
    topicBooks.add(book);
  }
  
  void sortBooksByError(){
    Collections.sort(topicBooks);
    //printBooks();
  }
  
  ArrayList<Book> booksFromYear(int year){
    ArrayList<Book> booksThatYear = new ArrayList<Book>();
    for (Book book : topicBooks) {
      if (book.publishingYear <= year){
        booksThatYear.add(book);
      }
    }
    return booksThatYear;
  }
  
  void printBooks(){
    println("foo", topicID);
    for (Book book : topicBooks){
      println(book.error);
    }
  }
  
}
